
Ruby - Bug #827

Fix document for Gem::Installer#write_spec

12/05/2008 02:40 PM - okkez (okkez _)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version: 1.9.1 Release Candidate   

ruby -v:  Backport:  

Description

=begin

コードとドキュメントが一致していないようだったので修正してみました。

Index: lib/rubygems/installer.rb

--- lib/rubygems/installer.rb   (revision 20439)

+++ lib/rubygems/installer.rb   (working copy)

@@ -270,11 +270,7 @@

end

##

Writes the .gemspec specification (in Ruby) to the supplied

spec_path.

spec:: [Gem::Specification] The Gem specification to output

spec_path:: [String] The location (path) to write the gemspec to

Writes the .gemspec specification (in Ruby).

def write_spec

rubycode = @spec.to_ruby

=end

History

#1 - 12/05/2008 09:17 PM - ko1 (Koichi Sasada)

- Assignee set to drbrain (Eric Hodel)

=begin

=end

#2 - 12/11/2008 11:02 AM - yugui (Yuki Sonoda)

- Target version set to 1.9.1 Release Candidate

=begin

=end

#3 - 12/11/2008 11:28 AM - yugui (Yuki Sonoda)
=begin

Ericに確認します

=end

#4 - 12/13/2008 04:42 PM - yugui (Yuki Sonoda)

=begin

okkez sent a patch for RubyGems to ruby-dev. He said that rdoc does not

seem to have difference from implementation.

-------- Original Message --------

Subject: [ruby-dev:37282] [Bug #827] Fix document for

Gem::Installer#write_spec

Date: Fri, 05 Dec 2008 14:35:01 +0900

From: okkez _ redmine@ruby-lang.org

Reply-To: ruby-dev@ruby-lang.org

To: ruby-dev@ruby-lang.org (ruby developers list)

Bug #827: Fix document for Gem::Installer#write_spec

http://redmine.ruby-lang.org/issues/show/827

起票者: okkez _

ステータス: Open, 優先度: Normal

カテゴリ: lib

コードとドキュメントが一致していないようだったので修正してみました。

Index: lib/rubygems/installer.rb

--- lib/rubygems/installer.rb   (revision 20439)

+++ lib/rubygems/installer.rb   (working copy)

@@ -270,11 +270,7 @@

end

##

Writes the .gemspec specification (in Ruby) to the supplied

spec_path.

spec:: [Gem::Specification] The Gem specification to output

spec_path:: [String] The location (path) to write the gemspec to

Writes the .gemspec specification (in Ruby).

def write_spec

rubycode = @spec.to_ruby

http://redmine.ruby-lang.org

--

Yugui yugui@yugui.jp

http://yugui.jp

私は私をDumpする

=end

#5 - 12/16/2008 08:40 AM - drbrain (Eric Hodel)

=begin

On Dec 12, 2008, at 23:34 PM, Yugui (Yuki Sonoda) wrote:

okkez sent a patch for RubyGems to ruby-dev. He said that rdoc does

not

seem to have difference from implementation.
-------- Original Message --------

Subject: [ruby-dev:37282] [Bug #827] Fix document for

Gem::Installer#write_spec

Date: Fri, 05 Dec 2008 14:35:01 +0900

From: okkez _ redmine@ruby-lang.org

Reply-To: ruby-dev@ruby-lang.org

To: ruby-dev@ruby-lang.org (ruby developers list)

Bug #827: Fix document for Gem::Installer#write_spec

http://redmine.ruby-lang.org/issues/show/827

起票者: okkez _

ステータス: Open, 優先度: Normal

カテゴリ: lib

コードとドキュメントが一致していないようだった

ので修正してみました。

Index: lib/rubygems/installer.rb

--- lib/rubygems/installer.rb   (revision 20439)

+++ lib/rubygems/installer.rb   (working copy)

@@ -270,11 +270,7 @@

end

Writes the .gemspec specification (in Ruby) to the supplied

spec_path.

spec:: [Gem::Specification] The Gem specification to output

spec_path:: [String] The location (path) to write the gemspec to

Writes the .gemspec specification (in Ruby).

def write_spec

rubycode = @spec.to_ruby

 I applied this patch to RubyGems repository:

Index: lib/rubygems/installer.rb

--- lib/rubygems/installer.rb (revision 1935)

+++ lib/rubygems/installer.rb (working copy)

@@ -270,11 +270,8 @@ class Gem::Installer

end

 ##

Writes the .gemspec specification (in Ruby) to the supplied

spec_path.

spec:: [Gem::Specification] The Gem specification to output

spec_path:: [String] The location (path) to write the gemspec to

Writes the .gemspec specification (in Ruby) to the gem home's
specifications directory.

def write_spec

rubycode = @spec.to_ruby

Should I make the change to 1_9_1 and trunk also?

=end

#6 - 12/16/2008 08:58 AM - matz (Yukihiro Matsumoto)

=begin

Hi,

In message "Re: [ruby-core:20593] Re: [Fwd: [ruby-dev:37282] [Bug #827] Fix document for Gem::Installer#write_spec]"

on Tue, 16 Dec 2008 08:32:57 +0900, Eric Hodel drbrain@segment7.net writes:

|I applied this patch to RubyGems repository:

|Should I make the change to 1_9_1 and trunk also?

Check in to the trunk.  Please leave merging to 1_9_1 up to the

release manager (Yugui).

      matz.

 =end

#7 - 12/21/2008 12:07 AM - yugui (Yuki Sonoda)

- Due date set to 12/24/2008

=begin

=end

#8 - 12/23/2008 08:17 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r20924.

=end
